import { ResultBase } from '../../models/http/resultBase';
import { NonstopHistoryInput } from '../../models/nonstophome/nonstopHistoryInput';
import { NonstopHistoryResult } from '../../models/nonstophome/nonstopHistoryResult';
import { HttpCommandBase } from '../abstract/httpCommandBase';
import { HttpMethod } from '../abstract/httpMethod';

export class GetHistoryCommand extends HttpCommandBase<NonstopHistoryInput, NonstopHistoryResult, ResultBase> {
    public endpoint: string = '/users/{externalId}/history';
    public method: HttpMethod = HttpMethod.Get;

    constructor(private input: NonstopHistoryInput) {
        super();
    }

    public buildRequestContent(): NonstopHistoryInput {
        return this.input;
    }

}